﻿param(
    [string]$file,
    [string]$destination
)

Import-Module Posh-SSH

# *************** PARAMETERS ******************
$serverName = "redis.topholt.com"              # Remote server address
$keyFilePath = "C:\temp\leaptest-keypair.pem"  # Key file for accessing server
$username = "ec2-user"                         # User name for SSH login

# generating credentials object to use with SFTP connection
$creds = New-Object -TypeName System.Management.Automation.PSCredential ($username, (new-object System.Security.SecureString))
# *********************************************

#Set local file path, SFTP path, and the backup location path which I assume is an SMB path


#Establish the SFTP connection
New-SFTPSession -ComputerName $serverName -KeyFile $keyFilePath -Credential $creds

#Upload the file to the SFTP path
Set-SFTPFile -SessionId 0 -LocalFile $file -RemotePath $destination

#Disconnect SFTP session
(Get-SFTPSession -SessionId 0).Disconnect()